package com.yeejoin.amos.fas.business.dao.mapper;

import com.yeejoin.amos.fas.business.vo.EquipmentSpecificIndexVo;
import com.yeejoin.amos.fas.dao.entity.Equipment;
import com.yeejoin.amos.fas.dao.entity.EquipmentFireEquipment;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ImpAndFireEquipMapper extends BaseMapper {


    List<EquipmentFireEquipment> queryForList(@Param("fireEquipmentId") String fireEquipmentId,@Param("equipmentId") String equipmentId);


    EquipmentFireEquipment queryForOne(@Param("fireEquipmentId") String fireEquipmentId, @Param("equipmentId") String equipmentId);


    Equipment queryImpEqumtByFireEquipmt(@Param("fireEquipmentId") Long  fireEquipmentId);


    /**
     * 查询指定重点设备已经绑定的消防设备
     * @param equipmentId
     * @return
     */
//    List<FireEquipment> queryBindFirEqumtPage(@Param("start") long start,@Param("length")int length,@Param("equipmentId") String equipmentId);
//
//    Long queryBindFirEqumtPageCount(@Param("equipmentId") String equipmentId);

    Map queryForCamera(@Param("equipmentId") String equipmentId );

    /**
     * 查询重点设备关联视频点位
     * @param equipmentId
     * @return
     */
    Map<String,Object> queryCamera(@Param("equipmentId") String equipmentId);

    List<Map<String,Object>> findEquipVideo();

    public Boolean existsAlarmPointByEqpPointIdAndEquipId(@Param("pointId") long pointId, @Param("equipmentId") long equipmentId);
//	Boolean containGroupedPoint(long id);

    EquipmentSpecificIndexVo findFireEqupmentByCode(String code);

}
